=== debian/changelog ===
pplatex (1.0~beta2023.12.01.repack-1) unstable; urgency=medium

  * Initial version (closes: #1057322)

 -- Sebastian Humenda <shumenda@gmx.de>  Tue, 28 Nov 2023 10:16:21 +0100
