=== debian/control ===
Source: pplatex
Section: text
Priority: optional
Maintainer: Sebastian Humenda <shumenda@gmx.de>
Build-Depends: debhelper-compat (= 13), cmake, libpcre3-dev
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/stefanhepp/pplatex
Vcs-Browser: https://salsa.debian.org/humenda-guest/pplatex
Vcs-Git: https://salsa.debian.org/humenda-guest/pplatex

Package: pplatex
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: parse latex logs and print warnings/errors in a human readable format
 LaTeX is able to produce really nice document layouts. But it is also able to
 produce a lot of noise on the command line.  `pplatex` is a command-line tool
 that parses the logs of latex and pdflatex and prints warnings and errors in
 a human readable format.
